import PropTypes from "prop-types";
import {Provider} from "react-redux";
import {store} from "../redux";
import Inicializar from "./Inicializar";

const SaasApp=({
	customReducers,
	aplicacion,
	devSaasURL,
	devAuthURL,
	dev=false,
	idiomaDefecto,
	messages,
	basename,
	children
}) => {
	return (
		<Provider store={store(customReducers)}>
			<Inicializar
				aplicacion={aplicacion}
				devSaasURL={dev ? devSaasURL : undefined}
				devAuthURL={dev ? devAuthURL : undefined}
				idiomaDefecto={idiomaDefecto}
				messages={messages}
				basename={basename}
			>
				{children}
			</Inicializar>
		</Provider>
	);
};

SaasApp.propTypes={
	customReducers: PropTypes.object,
	aplicacion: PropTypes.string.isRequired,
	devSaasURL: PropTypes.string,
	devAuthURL: PropTypes.string,
	dev: PropTypes.bool,
	idiomaDefecto: PropTypes.string,
	messages: PropTypes.object,
	basename: PropTypes.string,
	children: PropTypes.element.isRequired
};

export default SaasApp;
