import {useEffect} from "react";
import {useDispatch,useSelector} from "react-redux";
import {TOKEN,TOKEN_EXPIRATION,REFRESH_TOKEN} from "../Constantes";
import {login,logout,refreshToken} from "../redux";

const useCheckLogin=(devURL) => {
	const dispatch=useDispatch();
	const loginStatus=useSelector(store => store.login);
	const instancia=useSelector(store => store.aplicacion.instancia);

	useEffect(() => {
		if(loginStatus.autenticado){
			if(!!loginStatus.expiracion && new Date(loginStatus.expiracion) < new Date()){
				if(loginStatus.refreshToken){
					dispatch(refreshToken(devURL,instancia.clientCredentials,loginStatus.refreshToken));
				}
				else{
					dispatch(logout());
				}
			}
		}
		else{
			const token=sessionStorage.getItem(TOKEN);
			const expiracion=sessionStorage.getItem(TOKEN_EXPIRATION);
			const refreshToken=sessionStorage.getItem(REFRESH_TOKEN);
			if(token && expiracion){
				if(new Date(expiracion) < new Date()){
					if(refreshToken){
						dispatch(refreshToken(devURL,instancia.clientCredentials,refreshToken));
					}
					else{
						dispatch(logout());
					}
				}
				else{
					dispatch(login({token,expiracion,refreshToken}));
				}
			}
		}
	},[devURL,instancia.clientCredentials,loginStatus,dispatch]);

	return loginStatus.autenticado;
};

export default useCheckLogin;
