import {createSlice} from "@reduxjs/toolkit";

const uiSlice=createSlice({
	name: "ui",
	initialState: {
		tema: "light",
		temaSeleccionado: false,
		idioma: "es",
	},
	reducers: {
		cambiarTema: (state,action) => {
			state.tema=action.payload;
			state.temaSeleccionado=true;
			localStorage.setItem("tema",action.payload);
		},
		cambiarIdioma: (state,action) => {
			state.idioma=action.payload;
		}
	}
});

export const {cambiarTema,cambiarIdioma}=uiSlice.actions;

export default uiSlice.reducer;
